Last Comment Bug 435326 - findbar keys highlight.accesskey conflicts with beginning of line mac os x keybinding
: findbar keys highlight.accesskey conflicts with beginning of line mac os x ke...
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: Find Toolbar (show other bugs)
: unspecified
: PowerPC Mac OS X
P1 normal (vote)
: mozilla52
Assigned To: Mike de Boer [:mikedeboer]
:
: Mike de Boer [:mikedeboer]
Mentors:
Depends on: 1335218
Blocks: 1271782
  Show dependency treegraph
 
Reported: 2008-05-22 16:29 PDT by Mike Polo
Modified: 2017-02-08 07:37 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard: [good first verify]
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 435326 - change accesskey for en_US 'Highlight All' from 'a' to 'l', to stop overriding Emacs-style input keybindings. (58 bytes, text/x-review-board-request)
2016-11-08 06:06 PST, Mike de Boer [:mikedeboer]
gijskruitbosch+bugs: review+
Details | Review

Description User image Mike Polo 2008-05-22 16:29:54 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Mac OS X uses emacs keybindings for all dialog boxes.

some very common keybindings are 
control-p previous line
control-n next line
control-a beginning of line
control-e end of line

however when the findbar is open (command-F) the control-a key
is used to toggle "Highlight all" function on and off.

You should change the "highlight all" accesskey to a different key


Reproducible: Always

Steps to Reproduce:
1. browse to a web page
2. search for text within the page using command-f
3. use the ctrl-a key to go to the beginning of a line in any browser
   field (url bar, find area, etc)
Actual Results:  
the rather obscure function "highlight all" in the findbar will toggle on and off

Expected Results:  
cursor should move to beginning of line


I believe the basic text editing keystrokes should NOT be
repurposed to other functions

control-a should be beginning of line.

additionally, control-n and control-p move to previous and next matches.
This should be changed too.  I believe text boxes should take precedence.

If I happen to have the findbar open, and I type text into a text box,
hitting control-p and control-n instead of moving around in the text
box will start doing find features.

for instance, command-g correctly goes to the next match.  This is ok.
however control-n should not do this too.

the definition of control-a seems to be in:
/Applications/Firefox.app/Contents/MacOS/chrome/en-US.jar
in:
locale/en-US/global/findbar.dtd
as:
highlight.accesskey
next.accesskey
previous.accesskey
Comment 1 User image Mike de Boer [:mikedeboer] 2016-11-08 06:06:52 PST Comment hidden (mozreview-request)
Comment 2 User image :Gijs 2016-11-08 06:16:41 PST
Comment on attachment 8808611 [details]
Bug 435326 - change accesskey for en_US 'Highlight All' from 'a' to 'l', to stop overriding Emacs-style input keybindings.

https://reviewboard.mozilla.org/r/91412/#review91246

ctrl-h seems to be emacs-style keybinding for backspace?

TBH, h and a are the most obvious here. Not sure what else to use or if we should just give up. Certainly don't think we should use "i" or whatever on Windows/Linux just because OS X and emacs are "special".
Comment 3 User image Mike de Boer [:mikedeboer] 2016-11-08 06:18:24 PST
How about 'l'?
Comment 4 User image :Gijs 2016-11-08 06:30:33 PST
Comment on attachment 8808611 [details]
Bug 435326 - change accesskey for en_US 'Highlight All' from 'a' to 'l', to stop overriding Emacs-style input keybindings.

https://reviewboard.mozilla.org/r/91412/#review91252

r=me for using 'l', then, I guess.
Comment 5 User image Mike de Boer [:mikedeboer] 2016-11-08 06:33:32 PST Comment hidden (mozreview-request)
Comment 6 User image Pulsebot 2016-11-08 06:36:38 PST
Pushed by mdeboer@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9796c87f3a2d
change accesskey for en_US 'Highlight All' from 'a' to 'l', to stop overriding Emacs-style input keybindings. r=Gijs
Comment 7 User image Carsten Book [:Tomcat] 2016-11-09 07:39:29 PST
https://hg.mozilla.org/mozilla-central/rev/9796c87f3a2d
Comment 8 User image WildcatRay 2016-11-12 05:59:20 PST
Just a thought. Should this be for Mac OS builds only? Ctrl+a is a Windows function and will most likely be used instinctively by Windows users when attempting to "highlight all". With this change, you will be forcing Windows users to change what they would naturally do because of an issue that, AFAICT, is strictly on Mac OS.
Comment 9 User image :Gijs 2016-11-12 11:29:46 PST
(In reply to WildcatRay from comment #8)
> Just a thought. Should this be for Mac OS builds only? Ctrl+a is a Windows
> function and will most likely be used instinctively by Windows users when
> attempting to "highlight all". With this change, you will be forcing Windows
> users to change what they would naturally do because of an issue that,
> AFAICT, is strictly on Mac OS.

No, this is an accesskey. On Windows you'd invoke it with alt-a. It's different from the "select all" windows function which has the shortcut (which isn't the same as an accesskey) ctrl-a. We're not changing the latter, only the former.

Note You need to log in before you can comment on or make changes to this bug.